Subject: Re: [PATCH 02/17] midx: split `get_midx_checksum()` by adding `get_midx_hash()`

From: Taylor Blau <[email-masked]>
Date: Mon, 8 Dec 2025 20:42:23 -0500

On Mon, Dec 08, 2025 at 07:25:05PM +0100, Patrick Steinhardt wrote:
> If I didn't have the context of this patch series I would be wondering
> what the actual difference between `get_midx_checksum()` and
> `get_midx_hash()` is. The way the functions are named seems to rather
> indicate that we talk about two different kinds of hashes, rather than
> two different ways to encode them.
>
> Would it maybe be preferable to call them `get_midx_checksum()` and
> `get_midx_checksum_hex()`? While at it, we could go even further and
> rename them to `midx_get_checksum()` and `midx_get_checksum_hex()` to
> conform to our modern best practices.

Yeah, I think those are both reasonable suggestions; I'll apply those
locally, thanks!

> Patrick

Thanks,
Taylor